> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gcore.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create player



## OpenAPI

````yaml /api-reference/services_docs_mintlify/streaming_api.yaml post /streaming/players
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Streaming API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: a41613cd4a9e
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: AI
  - name: Broadcasts
  - name: Directories
  - name: Overlays
  - name: Players
  - name: Playlists
  - name: QualitySets
  - name: Restreams
  - name: Statistics
  - name: Streams
  - name: Subtitles
  - name: Videos
paths:
  /streaming/players:
    post:
      tags:
        - Players
      summary: Create player
      operationId: post_players
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                player:
                  $ref: '#/components/schemas/player'
        required: false
      responses:
        '200':
          description: Successful
          content: {}
        '422':
          description: |-
            Possible error messages:   
             **{ "errors": { "name": [ "can't be blank" ] } }**   
             *Name* is a required parameter, so it must be specified
          content: {}
components:
  schemas:
    player:
      required:
        - name
      type: object
      properties:
        id:
          type: integer
          description: Player ID
        name:
          type: string
          description: Player name
        client_id:
          type: integer
          description: Client ID
        framework:
          type: string
          description: Player framework type
        design:
          type: string
          description: String to be rendered as JS parameters to player
        custom_css:
          type: string
          description: Custom CSS to be added to player iframe
        js_url:
          type: string
          description: >-
            Player main JS file URL. Leave empty to use JS URL from the default
            player
        skin_is_url:
          type: string
          description: URL to custom skin JS file
        bg_color:
          type: string
          description: 'Color of skin background in format #AAAAAA'
        fg_color:
          type: string
          description: 'Color of skin foreground (elements) in format #AAAAAA'
        text_color:
          type: string
          description: 'Color of skin text elements in format #AAAAAA'
        hover_color:
          type: string
          description: 'Color of foreground elements when mouse is over in format #AAAAAA'
        autoplay:
          type: boolean
          description: >-
            Enables video playback right after player load:


            - **true** — video starts playing right after player loads

            - **false** — video isn’t played automatically. A user must click
            play to start


            Default is false
        mute:
          type: boolean
          description: |-
            Regulates the sound volume:

            - **true** — video starts with volume off
            - **false** — video starts with volume on

            Default is false
        disable_skin:
          type: boolean
          description: |-
            Enables/Disables player skin:

            - **true** — player skin is disabled
            - **false** — player skin is enabled

            Default is false
        save_options_to_cookies:
          type: boolean
          description: |-
            Enables/Disables saving volume and other options in cookies:

            - **true** — user settings will be saved
            - **false** — user settings will not be saved

            Default is true
        show_sharing:
          type: boolean
          description: |-
            Enables/Disables sharing button display:

            - **true** — sharing button is displayed
            - **false** — no sharing button is displayed

            Default is true
        logo_position:
          type: string
          description: |-
            Logotype position.   
             Has four possible values:

            - **tl** — top left
            - **tr** — top right
            - **bl** — bottom left
            - **br** — bottom right

            Default is null
        speed_control:
          type: boolean
          description: |-
            Enables/Disables speed control button display:

            - **true** — sharing button is displayed
            - **false** — no sharing button is displayed

            Default is false
        logo:
          type: string
          description: URL to logo image
      description: >-
        Set of properties for displaying videos. All parameters may be blank to
        inherit their values from default Streaming player.
      example:
        - id: 33
          name: Player
          client_id: 100
          design: ''
          custom_css: ''
          js_url: ''
          skin_js_url: ''
          bg_color: '#3313df'
          fg_color: '#FFFFFF'
          text_color: '#FFFFFF'
          hover_color: '#ef9047'
          autoplay: true
          mute: false
          disable_skin: false
          save_options_to_cookies: false
          show_sharing: true
          speed_control: false
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````